import request from '@/utils/request'
export function getCzFdBase(data) {
  return request({
    url: '/api/dmCzfddyb/getCzFdBase',
    method: 'post',
    data
  })
}
export function getList(data) {
  return request({
    url: '/api/dmCzfddyb/getList',
    method: 'post',
    data
  })
}
// 上传制作图
export function upload(data) {
  const param = new FormData()
  param.append('file', data.file)
  param.append('czbh', data.czbh)
  param.append('isupload', data.isupload)
  return request({
    url: '/api/dmCzfddyb/upload',
    method: 'post',
    headers: { 'Content-Type': 'multipart/form-data' },
    data: param
  })
}

export function getTpBase(data) {
  return request({
    url: '/api/dmCzfddyb/getTpBase',
    method: 'post',
    data
  })
}
export function findTPxqjh(data) {
  return request({
    url: '/api/tpb/findTPxqjh',
    method: 'post',
    data
  })
}
export function findTppsQk(data) {
  return request({
    url: '/api/tpb/findTppsQk',
    method: 'post',
    data
  })
}
export function getListFdMx(data) {
  return request({
    url: '/api/dmCzfddyb/getListFdMx',
    method: 'post',
    data
  })
}

